> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-6/v6-10-1.md).

# Version 6.10.1 Changelog (March 26, 2019)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 6.10.1.70193

Release Date: March 26, 2019

## New features

* New [`PerimeterMeasureCreate`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/PerimeterMeasureCreate.html) tool for measure perimeter, end point snapping option available, see guide: [measurement](/android/measurement/measurement-a.md)
* New [`AreaMeasureCreate`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/AreaMeasureCreate.html) tool for measure area, end point snapping option available, see guide: [measurement](/android/measurement/measurement-a.md)
* Updated [`RulerCreate`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/RulerCreate.html) tool for measure distance, end point snapping option available, see guide: [measurement](/android/measurement/measurement-a.md)
* Updated [annotation list](/android/annotation/annotation-list-a.md) with ability to sort annotations by creation date as well as position

![](https://226546913-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F0QItsdFBmuuL9ezHimHy%2Fuploads%2Fgit-blob-dba8b027eb9a9260f03d5ca976c8587054f84ba7%2F86ad7880b2e91e0bca41daa8b78ae5a30e87b01b-359x648.gif?alt=media)

* Updated showcase sample for measurement:

![](https://226546913-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F0QItsdFBmuuL9ezHimHy%2Fuploads%2Fgit-blob-2f9fe8e24cbef2816b4d0afe51534d4421144dcb%2F33cd6abc4b166ae3517b4603204325c7a5b10af6-540x960.png?alt=media)

## Fixed

* Fixed issue where opening file attachment did not work if storage permission is not given
* Fixed issue where opening file from HTTP/HTTPS link did not work if the link contains query parameters
* Fixed issue where plain text link click did not go through `onInterceptAnnotationHandling` event

## APIs

### Added

* \[`PDFViewCtrl.snapToNearestInDoc(double, double)`]\(<https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/PDFViewCtrl.html#snapToNearestInDoc(double>, double))
* [`ToolManager.setSnappingEnabledForMeasurementTools(boolean)`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html#setSnappingEnabledForMeasurementTools\(boolean\))
* [`ToolManager.isSnappingEnabledForMeasurementTools()`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html#isSnappingEnabledForMeasurementTools\(\))
* [`PerimeterMeasureCreate`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/PerimeterMeasureCreate.html)
* [`AreaMeasureCreate`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/AreaMeasureCreate.html)
* [`MeasureInfo`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/model/MeasureInfo.html)
* [`MeasureUtils`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/utils/MeasureUtils.html)

### Changed

* \[`ToolManager.QuickMenuListener.onShowQuickMenu`]\(<https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.QuickMenuListener.html#onShowQuickMenu(com.pdftron.pdf.tools.QuickMenu>, Annot)) now provides the quick menu object in addition to annotation

### Deprecated

* [`UnitConverter`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/utils/UnitConverter.html)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-6/v6-10-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
